"""Everything to do with Apps"""

from database import db
from .models import App

class LITApp(App):
    """
    """

    def get_url(self):
        return self.url

    def to_dict(self):
        """
        represent this object as a dict, compatible for JSON output
        """
        return {"id": self.id,
                "name": self.name,
                "slug": self.slug,
                "external": self.external,
                "status": self.get_status(),
                "url": self.get_url()}



    def get_status(self):
        """Returns an AppStatus object that describes the current cluster state"""
        return {
            "installed": "",
            "ready": "",
            "message": "",
        }
